<style>
    header{
        padding: 5px;
        background-color: #7386D5;
        color: white;

    }
   /* .jumbotron {
    min-height: 100px;
    }*/
</style>
<div class="container">
    <!--<app-report-button></app-report-button>-->
    <header><h3>Summary Report</h3></header>
    <br>
    <div class="container">
        <div >

            <div class="row">
                <div class="col-sm-3 col-md-3 .col-xs-3 col-lg-3">
                    <p>Date Range From:<input class="form-control" type="date"  [(ngModel)]="reportQueryObj.startDate"  placeholder="Start date"></p>
                </div>
                <div class="col-sm-3 col-md-3 .col-xs-3 col-lg-3">
                    <p>Date Range To: <input class="form-control" type="date" [(ngModel)]="reportQueryObj.endDate" placeholder="End Date"></p>
                </div>
            </div>
            <br>
            <br>
            <div class="row">
                <div class="col-sm-3 col-md-3 .col-xs-3 col-lg-3">
                    <lable class="labelText">Select Vehicle Type<span style="color:red">*</span></lable>
                    <select [(ngModel)]="reportQueryObj.vehicleType" id="Vehicle" class="form-control">
                        <option  *ngFor="let value of vehicleTypeList">{{value.vehicleTypeName}}</option>
                    </select>
                </div>

                <div class="col-sm-3 col-md-3 .col-xs-3 col-lg-3">
                    <lable class="labelText">Select Company<span style="color:red">*</span></lable>
                    <select [(ngModel)]="reportQueryObj.companyTransactionSelected" id="CompanyId" class="form-control">
                        <option  *ngFor="let value of companyAssetList">{{value.companyName}}</option>
                    </select>
                </div>

            <div class="col-sm-3 col-md-3 .col-xs-3 col-lg-3">
                <lable class="labelText">Select Corporate Contract<span style="color:red">*</span></lable>
                <select [(ngModel)]="reportQueryObj.corporateContract" id="Contract" class="form-control">
                    <option  *ngFor="let value of ccList">{{value}}</option>
                </select>
            </div>

        </div>
            <div class="row">

                <div class="col-sm-3 col-md-3 .col-xs-3 col-lg-3">
                    <lable class="labelText">Select Vendor<span style="color:red">*</span></lable>
                    <select [(ngModel)]="reportQueryObj.lesserName" id="CompanyIdAsset" class="form-control">
                        <option  *ngFor="let value of lesserAssetList">{{value.lesserName}}</option>
                    </select>
                </div>

                <div class="col-sm-3 col-md-3 .col-xs-3 col-lg-3">
                    <lable class="labelText">Select Driver<span style="color:red">*</span></lable>
                    <select [(ngModel)]="reportQueryObj.driverName" id="ContractAsset" class="form-control">
                        <option  *ngFor="let value of driverAssetList">{{value.driverName}}</option>
                    </select>
                </div>

            </div>

            <br>

            <div class="row">
                <lable class="labelText"></lable>
                <div class="col-sm-3 col-md-3 .col-xs-3 col-lg-3">
                    <span><button type="button" class="btn btn-success" (click)="submitFetchQuery()">View Report</button></span>
                </div>
                <div class="col-sm-3 col-md-3 .col-xs-3 col-lg-3">
                    <span>  <button type="button" class="btn btn-grey" (click)="downLoadPdf()">Download</button></span>
                </div>
            </div>
    </div>

    <table class="table" style="border: 1px solid black;" *ngIf="resultDetails.length>0">
        <thead class="thead" style="background-color:yellow;">
        <tr>
            <th scope="col" *ngFor="let reportHeaderData of reportHeader;"  class="uppercase">{{reportHeaderData}}</th>
        </tr>
        </thead>
        <tbody>

        <tr  *ngFor="let reportDetails of resultDetails;">
            <td *ngFor="let headerName of reportHeader;" >{{reportDetails[headerName]}}</td>
        </tr>

        </tbody>
    </table>

        <table class="table" style="border: 1px solid black;" *ngIf="resultDetails.length==0">
            <thead class="thead" style="background-color:yellow;">
            <tr>
                <div>No Data Available for the Query </div>
            </tr>
            </thead>
        </table>
</div>
</div>